#comment out if not pre-release
#define prel     rc3

%define rel      7

Name:           xdg-utils
Version:        1.1.3
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        Interfaces and Tools for easy integration with the free desktop configuration
License:        MIT
Url:            https://www.freedesktop.org/wiki/Software/xdg-utils/
Group:          System/Base
Source0:        https://portland.freedesktop.org/download/%{name}-%{version}%{?prel:-%prel}.tar.gz
Patch0:         xdg-utils-1.1.1-email_loop.patch
Patch1:         xdg-utils-1.1.0-rc3-email_silent_errors.patch
# For: MGA #7848 , MGA #4027.
Patch2:         xdg-utils-1.1.0-rc3-inhibit-screensaver.patch
#squidf: don't open a pop-up with kdialog for url-scheme-handler error with XFCE
Patch3:     xdg-utils-1.1.3-silence-dialog-url-scheme-handler-xfce.patch
# Fix for MGA #15286
# So chromium-browser won't put a dialog on LXDE (and other unrecognised
# desktop environments) when it's not the default browser.
Patch8:         xdg-utils-1.1.0-rc3-silence-dialog-with-chromium-browser-on-lxde.patch
# Backported from upstream
Patch9:		0001-xdg-open-better-pcmanfm-check-BR106636-BR106161.patch
# https://gitlab.freedesktop.org/xdg/xdg-utils/-/issues/177
# CVE-2020-27748
Patch10:	0001-xdg-email-remove-attachment-handling-from-mailto.patch
Patch11:	0001-xdg-open-handle-file-localhost.patch
Patch12:	0001-fix-a-bug-when-xdg-terminal-needs-gsettings-to-get-t.patch
Patch13:	0001-fixes-x-argument-which-is-the-default-for-gnome-mate.patch
Patch14:	0001-xdg-screensaver-sanitise-window-name-before-sending.patch
Patch15:	0001-xdg-open-fix-comment-typo.patch
Patch16:	0001-enable-cinnamon-screensaver-for-xdg-aware-desktop-en.patch
Patch17:	0001-support-digits-in-uri-scheme-regex.patch
Patch18:	0001-xdg-mime-return-correct-exit-code-for-gnome.patch
Patch19:	0001-xdg-open-dose-not-search-correctly-in-directories-wi.patch
Patch20:	0001-fix-xdg-settings-support-for-default-web-browser-for.patch

BuildArch:      noarch
BuildRequires:  libxslt-proc
BuildRequires:  gawk
BuildRequires:  xmlto-notex
BuildRequires:  docbook-dtd412-xml
BuildRequires:  docbook-style-xsl
Requires:       desktop-file-utils
Requires:       xprop
Requires:       xset

%description
This version of xdg-utils contains the following commands:
xdg-desktop-menu:       command line tool for (un)installing
                        desktop menu items
xdg-desktop-icon:       command line tool for (un)installing
                        icons to the desktop
xdg-mime:               command line tool for querying information
                        about file type handling and adding
                        descriptions for new file types
xdg-icon-resource:      command line tool for (un)installing icon resources
xdg-open:               opens a file or URL in the user's preferred
                        application
xdg-email:              command line tool for sending mail using the user's
                        preferred
                        e-mail composer
xdg-screensaver:        command line tool for controlling the screensaver

Testsuite for xdg-utils is available from
https://portland.freedesktop.org/wiki/TestSuite

%files
%doc README TODO RELEASE_NOTES
%{_bindir}/xdg-desktop-icon
%{_bindir}/xdg-desktop-menu
%{_bindir}/xdg-email
%{_bindir}/xdg-icon-resource
%{_bindir}/xdg-mime
%{_bindir}/xdg-open
%{_bindir}/xdg-screensaver
%{_bindir}/xdg-settings
#%{_bindir}/xdg-terminal
%{_mandir}/man1/xdg-desktop-icon.*
%{_mandir}/man1/xdg-desktop-menu.*
%{_mandir}/man1/xdg-email.*
%{_mandir}/man1/xdg-icon-resource.*
%{_mandir}/man1/xdg-mime.*
%{_mandir}/man1/xdg-open.*
%{_mandir}/man1/xdg-screensaver.*
%{_mandir}/man1/xdg-settings.*
#%{_mandir}/man1/xdg-terminal.*

#-------------------------------------------------------------------------------#


%prep
%setup -q -n %{name}-%{version}%{?prel:-%prel}
%autopatch -p1

%build
%configure
%make_build
%make_build -C scripts

%install
%make_install


%changelog
* Sat Dec 17 2022 squidf <squid-f> 1.1.3-7
- Fix dialog pop-up with XFCE for url-scheme-handler error

* Sat Dec 17 2022 squidf <squid-f> 1.1.3-6
- Update with Cauldron patch
